/* This file is part of Cloudy and is copyright (C)1978-2006 by Gary J. Ferland
 * For conditions of distribution and use see copyright notice in license.txt */
/* chng 28 may 02, by Ryan...moved this here from mie.c,
 * so that other routines can use comlex numbers.	*/
typedef struct {
	double re;
	double im;
} complex;

complex cmneg(complex);
complex cmexp(complex);
complex ftocm(double,double);
double cmabs(complex);
complex cmadd(complex,complex);
complex cmsub(complex,complex);
complex cmmul(complex,complex);
complex cmdiv(complex,complex);

/* expnf, returns exponential integral,
 * n is order, 1 for first integral integral
 * xx is argument, must be positive
 */
double expnf( int n, double xx );

double gammafun( double x );
